/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  System Name   : INSECT POKEMON                                           */
/*  Machine & OS  : Sony PlayStation / PlayStation OS ( R3000 )              */
/*  Language      : GNU C                                                    */
/*                                                                           */
/*  File Contents : POLYGON MODEL/MOTION ENGINE                              */
/*  File Attribute: HEADER                                                   */
/*  File Name     : MODEL.H                                                  */
/*                                                                           */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#ifndef _MODEL_H_
#define _MODEL_H_

/*----- Language Header Files -----*/
#include <sys/types.h>
#include <libgte.h>
#include <libgpu.h>
#include <libgs.h>

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  OBJECT MAX                                                               */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#define OBJECTMAX	(43)					/* Pfɑ΂őIuWFNg */

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  MODEL DATA INFORMATION                                                   */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
typedef struct {
	short			status;					/* f̃Xe[^X */
	u_long			attribute;				/* fŜ̃Agr[g */
	short			Objnum;					/* fOf[^̃IuWFNg̐ێ */
	long			pos[XYZ];				/* f̍Wn */
	short			ang[XYZ];				/* Wn邽߂̃[e[VxN^[ */
//	long			scl[XYZ];				/* f̃XP[ */
	long			trans[XYZ];				/* [ṼgX */
	GsDOBJ2			object[OBJECTMAX];		/* IuWFNgnh IuWFNg̐Kv */
	GsCOORDINATE2	objpos[OBJECTMAX];		/* IuWFNgƂ̍Wn */
	SVECTOR			objang[OBJECTMAX];		/* Wn邽߂̃[e[VxN^[ */
//	VECTOR			objscl[OBJECTMAX];		/* IuWFNg̃XP[ */
} MODEL ;

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  MODEL ATTRIBUTE INFORMATION                                              */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#define OBJ_NBLEND	(GsALON | GsAZERO)		/*  */
#define OBJ_ABLEND	(GsALON | GsAONE)		/* Z */
#define OBJ_HBLEND	(GsALON | GsATWO)		/* Z */
#define OBJ_SBLEND	(GsALON | GsATHREE)		/* Z */

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  KAISOU DATA ( CLS FILE ) INFORMATION                                     */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
typedef struct {
	short			exist;					/* IuWFNg݂邩HiPAOȂj */
	short			parts_no;				/* IuWFNg̃p[cio[ */
	short			super;					/* eIuWFNg̔ԍ(PARENTWORLD) */
	short			ang[XYZ];				/* AO */
	long			pos[XYZ];				/* gXf[^ */
	long			scl[XYZ];				/* XP[ */
} KAISOU;

#define EXIST		(1)
#define NOT_EXIST	(0)
#define PARENT		(-1)

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  MOTION MAX                                                               */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#define FRAMEMAX	(144)					/* [V̍őt[ */

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  MOTION DATA INFORMATION                                                  */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
typedef struct {
	long			pos[XYZ];				/* [gIuWFNg̃gX */
	short			ang[OBJECTMAX][XYZ];	/* IuWFNgƂ̃AO */
} MOTION_DATA;

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  MOTION INFORMATION                                                       */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
typedef struct {
	u_short			num;					/* [Vio[ */
	u_short			frame;					/* [V̑t[ */
	u_short			parts;					/* f̃p[c */
	u_short			count;					/* [Ṽt[ */
	short			loop;					/* [vJE^ */
	int				*otbl;					/* IuWFNgio[e[u */
	MOTION_DATA		*bufp;					/* [Vf[^obt@ */
} MOTION;

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  CAMERA INFORMATION                                                       */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
typedef struct {
	GsRVIEW2		view;					/* _ݒ肷邽߂̍\ */
	GsCOORDINATE2	DView;					/* _Ԃ牺Wn */
	int				mode;					/* [h */
	short			angle;					/* AO */
	SVECTOR			svec;					/* xNg */
	long			*work;					/* ^[Qbg̃[N */
	long			timer;					/* ^C}[ */
	long			totaltime;				/*  */
	VECTOR			start;					/* n_ */
	VECTOR			relay;					/* p_ */
	VECTOR			terminal;				/* I_ */
} CAMERA;

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  PROTOTYPE DIFINITIONS                                                    */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#if defined(_LANGUAGE_C_PLUS_PLUS)||defined(__cplusplus)||defined(c_plusplus)
extern  "C" {
#endif

extern GsF_LIGHT	pslt[3];				/* sݒ肷邽߂̍\ */
extern GsRVIEW2		view;					/* _ݒ肷邽߂̍\ */
extern u_short		Projection;				/* vWFNV */
extern u_char		reflect;				/* ˗ */
extern CAMERA		cam;					/* J */
extern u_char		model_col[RGB];			/* J[|SFw */
extern u_short		tpage;					/* eNX`y[Ww */

extern void model_sort(MODEL *mod, u_char rfl);
extern void motion_init(u_char *adr, MOTION *mot, u_short num, short loop);
extern void motion_test(MODEL *mod, MOTION *mot);
extern void camera_init();
extern void camera_move();
extern void light_init();
extern void fog_init();
extern void model_init(long *tmd, MODEL *mod);
extern void coord_init(KAISOU *cls, MODEL *mod);
extern void jt_init4();						/* `̏ */
extern void jt_smnlset();					/* }bsO( LIGHT OFF )̓o^ */
extern void jt_smlset();					/* }bsO( LIGHT ON  )̓o^ */
extern void jt_smsplset();					/* }bsO( F )̓o^ */
extern void jt_smsp3lset();					/* }bsO( Nc )̓o^ */
extern void jt_smsp4lset();					/* }bsO( `[ )̓o^ */
extern void jt_wireset();					/* C[t[̓o^ */
extern void jt_colorset();					/* J[|S( LIGHT OFF )̓o^ */
extern void jt_colorcset();					/* J[|S( LIGHT ON  )̓o^ */
extern void jt_tpageset();					/* TPAGEt|S̓o^ */
extern void jt_opticsset();					/* wʂ̓o^ */
extern void jt_wire2set();					/* C[t[iZj */
extern void jt_glassset();					/* KX̓o^ */

#if defined(_LANGUAGE_C_PLUS_PLUS)||defined(__cplusplus)||defined(c_plusplus)
}
#endif

#endif  /* _MODEL_H_ */
