/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  System Name   : INSECT POKEMON                                           */
/*  Machine & OS  : Sony PlayStation / PlayStation OS ( R3000 )              */
/*  Language      : GNU C                                                    */
/*                                                                           */
/*  File Contents : POLYGON TEST [ DEV CODE: 97026 ]                         */
/*  File Attribute: HEADER                                                   */
/*  File Name     : POLYGON.H                                                */
/*                                                                           */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#ifndef _POLYGON_H_
#define _POLYGON_H_

#include "../lib/model.h"

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  ADDRESS INFOMATION                                                       */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#define TENKAI_ADDR	 (0x80100000)	/* 28WJobt@ */
#define LOAD_ADDR	 (0x80128000)	/* 18t@C[hobt@ */
#define PLAYER1_ADDR (0x80140000)	/* 28[Vf[^iMTNtH[}bgjAhX */
#define MODEL1_ADDR	 (0x80168000)	/* 14fOf[^iTMDtH[}bgjAhX */
#define PLAYER2_ADDR (0x8017c000)	/* 28[Vf[^iMTNtH[}bgjAhX */
#define MODEL2_ADDR	 (0x801a4000)	/* 14fOf[^iTMDtH[}bgjAhX */
#define BGMODEL_ADDR (0x801b8000)	/* 08fOf[^iTMDtH[}bgjAhX */
#define EFMODEL_ADDR (0x801c0000)	/* 10fOf[^iTMDtH[}bgjAhX */
#define STATIC_ADDR	 (0x801d0000)	/* 풓f[^ */

//#define TENKAI_ADDR	 (0x80100000)	/* WJobt@ */
//#define LOAD_ADDR	 (0x80128000)	/* t@C[hobt@ */
//#define PLAYER1_ADDR (0x80140000)	/* [Vf[^iMTNtH[}bgjAhX */
//#define MODEL1_ADDR	 (0x80168000)	/* fOf[^iTMDtH[}bgjAhX */
//#define PLAYER2_ADDR (0x80188000)	/* [Vf[^iMTNtH[}bgjAhX */
//#define MODEL2_ADDR	 (0x801b0000)	/* fOf[^iTMDtH[}bgjAhX */
//#define BGMODEL_ADDR (0x801d8000)	/* fOf[^iTMDtH[}bgjAhX */
//#define EFMODEL_ADDR (0x801e0000)	/* fOf[^iTMDtH[}bgjAhX */

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  CHARACTER NUMBER                                                         */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
enum {
	MODEL_JP,	/* jzJugV                 */
	MODEL_HR,	/* wNXIIJug             */
	MODEL_NP,	/* lv`[Jug               */
	MODEL_ST,	/* T^IIJug                 */
	MODEL_AT,	/* AgXIIJug               */
	MODEL_CO,	/* R[JTXIIJug             */
	MODEL_BL,	/* {lIIIJug               */
	MODEL_ZO,	/* ]EJug                       */
	MODEL_YA,	/* kX]EJug                 */
	MODEL_MA,	/* }X]EJug                 */
	MODEL_AZ,	/* ANeI]EJug             */
	MODEL_AF,	/* AtJIIJug               */
	MODEL_GO,	/* SzdmJug                 */
	MODEL_SN,	/* T{dmJug               */
	MODEL_HK,	/* qJug                       */
	MODEL_NT,	/* mRM^edmJug           */
	MODEL_PT,	/* sT^edmJug             */
	MODEL_PN,	/* pJug(CtfBu^) */
	MODEL_P2,	/* pJug(eBsJ^)           */
	MODEL_OM,	/* IIcmK^Jug           */
	MODEL_HO,	/* IIqdmJug               */
	MODEL_YM,	/* AkX~cmJug           */
	MODEL_AR,	/* AwdmJug             */
	MODEL_TN,	/* eiKRKl                     */
	MODEL_OT,	/* ZhEiKeiKRKl       */
	MODEL_HM,	/* IISCAXcmRKl         */
	MODEL_OS,	/* IIT}SCAXcmRKl     */
	MODEL_EM,	/* [bp~}NK^         */
	MODEL_MY,	/* ~}NK^                   */
	MODEL_AO,	/* AbTIIcmNK^         */
	MODEL_AK,	/* AJ~gQVJNK^           */
	MODEL_TH, 	/* eCIEz\AJNK^         */
	MODEL_O2,	/* IjcNK^                 */
	MODEL_FA,	/* t`hAJNK^             */
	MODEL_AA,	/* AtJAJNK^             */
	MODEL_KN,	/* IILoiKNK^             */
	MODEL_DH,	/* _CIEq^NK^           */
	MODEL_HT,	/* q^NK^                   */
	MODEL_OK,	/* IINK^                     */
	MODEL_ON,	/* IISIjNK^             */
	MODEL_GR,	/* OfBAg[K^NK^ */
	MODEL_KK,	/* NcNr{\NK^         */
	MODEL_NJ,	/* jWCNK^                 */
	MODEL_TK,	/* `[NK^                   */
	MODEL_KR,	/* NcIIcmNK^         */
	MODEL_NK,	/* mRMNK^                 */
	MODEL_KM,	/* IIJ}L                     */
	MODEL_K2,	/* niJ}L                     */
	MODEL_BE,	/* XYo`                       */
	MODEL_KB,	/* XYo`                       */
	MODEL_SK,	/* VXWJ~L                 */
	MODEL_RB,	/* VXWJ~L                 */
	MODEL_TC,	/* ^`                     */
	MODEL_SP,	/* 쒎                             */
	MODEL_MK,	/* Jug                       */
	MODEL_ME,	/* Jug                       */
	MODEL_PC,	/* C[NK^                 */
	MODEL_CK,	/* XPgJug                 */
	MODEL_SO,	/* XPgIIN               */
	MODEL_MAX
};

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  PLAYER DATA                                                              */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
typedef struct {
	long	length;
	u_char	reflect;
	task_a	render;
	short	size;
	short	hitpos;
} P_DATA;

/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  PROTOTYPE DIFINITIONS                                                    */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#if defined(_LANGUAGE_C_PLUS_PLUS)||defined(__cplusplus)||defined(c_plusplus)
extern  "C" {
#endif

extern long		LocalTimer;

extern int Polygon();
extern void texture_init(u_long addr);


#if defined(_LANGUAGE_C_PLUS_PLUS)||defined(__cplusplus)||defined(c_plusplus)
}
#endif

#endif  /* _POLYGON_H_ */
