#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  System Name   : INSECT POKEMON                                           */
#*  Machine & OS  : Sony PlayStation / PlayStation OS ( R3000 )              */
#*  Language      : GNU MAKE                                                 */
#*                                                                           */
#*  File Contents : PROCESS 09 MAKING BATCH [ SUB PROCESS ]                  */
#*  File Attribute: MAKEFILE                                                 */
#*  File Name     : P09.MAK                                                  */
#*                                                                           */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  MAKEFILE DEFINES                                                         */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
CC=ccpsx
#CCFLGS=-g -G0 -c -v -comments-c++ -Wall -D_DEBUG
CCFLGS=-g -O4 -G0 -c -v -comments-c++ -Wall -D_RELEASE

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
DEV_DIR=..
P01_DIR=../p01
P09_DIR=../p09
PSX_DIR=/psx/lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  OVERLAY DEFINES                                                          */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
P09_GRP=-Wa,sprcs09

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#   LIB DEFINES                                                              */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
LB=psylib
LBLST=../p09/staff.lst
LBFLGS=/u

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  OBJECT DEPENDS                                                           */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P09 =     ../p09/staff.obj \
              ../p09/anmdata.obj

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  LIB MAIKING                                                              */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
$(DEV_DIR)/lib/staff.lib: $(OBJ_P09)
    $(LB) $(LBFLGS) $(DEV_DIR)/lib/staff.lib @$(LBLST)
    psymake /f sir.mak

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  SOURCE DEPENDS                                                           */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
STAFF_DEP =        ../lib/libdbg.h          ../lib/libfio.h          \
                   ../lib/mainsys.h         ../lib/grpara.h          \
                   ../lib/sysara.h          ../lib/comara.h          \
                   ../lib/staff.h           \
                   ../lib/istatic.h         \
                   ../redlib/sndno.h

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  SOURCE COMPILE                                                           */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
$(P09_DIR)/staff.obj: $(P09_DIR)/staff.c $(STAFF_DEP)
    $(CC) $(CCFLGS) $(P09_GRP) $(P09_DIR)/staff.c

$(P09_DIR)/anmdata.obj: $(P09_DIR)/anmdata.c $(P09_DIR)/sprite/roll.c $(STAFF_DEP)
    $(CC) $(CCFLGS) $(P09_GRP) $(P09_DIR)/anmdata.c

