#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  System Name   : INSECT POKEMON                                           */
#*  Machine & OS  : Sony PlayStation / PlayStation OS ( R3000 )              */
#*  Language      : GNU MAKE                                                 */
#*                                                                           */
#*  File Contents : INSECT POKEMON MAKING BATCH [ DEV CODE: 98025 ]          */
#*  File Attribute: MAKEFILE                                                 */
#*  File Name     : SIR.MAK                                                  */
#*                                                                           */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#   LINK DEFINES                                                             */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
LK=psylink
LKFLGS=/c /i /wm /m /v /n 1024
LKCMD=../sir.cpe,../sir.sym,../sir.map
LKFILE=sir.lnk

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
DEV_DIR=..
DAT_DIR=../dt

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  ALL OBJECT DEPENDS                                                       */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P00 =     ../lib/mainsys.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P01 =     ../lib/polygon.lib       \
              ../lib/sprite.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P02 =     ../lib/menu.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P03 =     ../lib/strategy.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P04 =     ../lib/street.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P05 =     ../lib/title.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P06 =     ../lib/zukan.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P07 =     ../lib/slpda.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P08 =     ../lib/akmcrd.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
OBJ_P09 =     ../lib/staff.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
USR_LIB =     ../lib/lzdecode.obj      \
              ../lib/libdbg.lib        \
              ../lib/libctl.lib        \
              ../lib/libfio.lib        \
              ../lib/libemc.lib        \
              ../lib/libpad.lib        \
              ../lib/pad.lib           \
              ../lib/redlib.lib        \
              ../lib/model.lib         \
              ../lib/fade.lib

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  EXE CREATE                                                               */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
$(DEV_DIR)/SLPS_017.79: $(DEV_DIR)/sir.cpe
   cd ..
   cpe2x sir.cpe
   copy sir.exe SLPS_017.79
   del sir.exe
   cd mak

#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
#*  OBJECT LINK                                                              */
#*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
$(DEV_DIR)/sir.cpe: $(OBJ_P00) \
                    $(OBJ_P01) \
                    $(OBJ_P02) \
                    $(OBJ_P03) \
                    $(OBJ_P04) \
                    $(OBJ_P05) \
                    $(OBJ_P06) \
                    $(OBJ_P07) \
                    $(OBJ_P08) \
                    $(OBJ_P09) \
                    $(USR_LIB)
   $(LK) $(LKFLGS) @$(LKFILE),$(LKCMD)
   pack sir.lst $(DAT_DIR)/sir.bin

