/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  System Name   : INSECT POKEMON                                           */
/*  Machine & OS  : Sony PlayStation / PlayStation OS ( R3000 )              */
/*  Language      : GNU C                                                    */
/*                                                                           */
/*  File Contents : AUTO LOAD                                                */
/*  File Attribute: SOURCE                                                   */
/*  File Name     : AKMCRD.C                                                 */
/*                                                                           */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/

/*----- Language Header Files -----*/
#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <kernel.h>
#include <libgte.h>
#include <libgpu.h>
#include <libgs.h>
#include <libsn.h>
#include <libmcrd.h>
#include <memory.h>
//#include <libmcrd.h>
/*----- User Header     Files -----*/
#include "../lib/libctl.h"
#include "../lib/libfio.h"
#include "../lib/grpara.h"
#include "../lib/sysara.h"
#include "../lib/comara.h"
#include "../lib/mainsys.h"
#include "ak_mem.h"/* GO.h蔲AhXύXꂽ狃 */
//#include "mcapi.h"
#include	"oh_tools.h"
#include "../lib/iSTATIC.h"
#include "../redlib/sound.h"
#include "../redlib/sndno.h"


#define SOUND	1			// load鎞͂Pɂ鎖

/*----------prottype function-------*/
void Tim2Vram(u_long);// C[W̎荞
void InitSpr(int);// \bZ[W̏
void Init_Yes_No(void);// ͂̂傫
void Init_New_Or_Replay(void);// [h邩Vn߂邩`FbN
void AK_Auto_Load(void);// ÑJ[h`FbN
void AK_Mess_Sort(void);// bZ[W̕\
void AK_Mess_Sort2(void);// bZ[W̕\̂Q
void AK_Yes_No_Sort(void);// ͂̕\
void AK_New_Or_Load_Sort(void);// Vn߂邩[h邩̃\[g
void AK_Pnl_Sort(void);// Ipl̃\[g
int _calc_total_blocks( int , struct DIRENTRY* dir );

void AK_Save_StoryMode(void);// R̂Ƃ납炫ViIZ[u
void AK_Save_Mode_Init_Tim(void);// ĂƁ[傫
void AK_Save_Mode_Init_2(void);// J[hȂł
void AK_Save_Mode_Init_3(void);// Z[u

void AK_MEM_DATA_INIT(int no);// f[^ 23 or 24

short AK_Select_Load_Or_New(void);// J[\ZNg OŏIPŉI


/*----------Initialize-------------*/


//static struct DIRENTRY fileList[2][BLOCK_MAX];

// ԑ\
typedef struct{
	unsigned long *pixel;// pixel data
	unsigned long *clut;// clut data
	unsigned long *pix2;
	unsigned long *clt2;
} RED;

static RED AKTEMP;


/* t@Cwb_\*/
typedef struct {
	char	Magic[2];
	char	Type;
	char	BlockEntry;
	char	Title[64];
	char	reserve[28];
	char	Clut[32];
	char	Icon[3][128];
} _CARD;

static _CARD HEAD;




/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
/*  SAVE LOAD                                                                */
/*--+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--*/
int AKMCRD()
{
	static short redswitch;
//	FntPrint("SAVE LOAD");
	switch(redswitch){
		case 0:
			if ( *( (unsigned char *)RED_INIT_FLG_ADDR ) == 1 ){// tO݂
				pcb.srst = 0x01;// \tgZbgȂȂ
				redswitch = 1;
			}
			else if ( *( (unsigned char *)RED_INIT_FLG_ADDR ) == 0 ){
				AK_MEM_DATA_INIT(23);// f[^
				pcb.srst = 0x01;// \tgZbgȂȂ
				redswitch = 1;
			}
		break;
		case 1:
			if ( pcb.pno == 0x05){// ^Cg痈ΐ탂[h
				// ΐp[h֐()
				Red_2P_Unit_Load();
			}
			else if ( pcb.pno == 0x04 ) {// R̂Ƃ납炭ꍇBZ[u
				AK_Save_StoryMode();
			}
			else{// ȊO͍ŏ̃I[g[h
				AK_Auto_Load();
				// AK_Save_StoryMode();// `FbNׂ̈Ƃ肠uĂ݂
			}
		memcpy( (unsigned char * ) 0x801e0000,( unsigned char *)EVT_FLAG_ADDR,4096);// \tgZbg΍
		*( (unsigned char *)RED_INIT_FLG_ADDR ) = 1;// tOZbg

			
		break;
	}
	return ( 0 );
}// I[g[hΐ킩`FbN


/********************************************************************************
*																				*
*					ΐ탂[ĥQo[h֐									*
*					port2ŒpbhQRő삵܂							*
********************************************************************************/
void Red_2P_Unit_Load(){
	static int aiload = AI_INIT;// [h֐̗A
	static int aitime;// \p^C}[
	static int ailoop = 0;
	long chan = 0x10;// 2P port
	long rslt,cmds;
	
	switch ( aiload ){
		case AI_INIT:// timǂݍݓ

			while (ailoop < TIM_MAX_NUM){
				FioDivReadFile("DT\\AK.T",(unsigned char *)TIM_LOAD_ADDR,TIM_TBL[ailoop].ST,TIM_TBL[ailoop].SI);
				Tim2Vram(TIM_LOAD_ADDR);
				ailoop++;
			}// while last

			aiload = AI_START_PRN;

		break;
		case AI_START_PRN:// ł灛

			// XvCg̏
			InitSpr(AI_START_PRN);// ǂAɖ߂Ίy

			if( PadDat[0].trg & PADRR ){// 
				SE_ENT(SE_OK1);
				aiload = AI_CARD_CHECK;
			}

		break;
		case AI_CARD_CHECK:// J[h`FbN

			switch ( MemCardSync(1,&cmds,&rslt) ){
				case -1:// o^
					/* J[h̐ڑeXg*/
					MemCardExist(chan);
				break;
				case 0:// o^s
				break;
				case 1:// o^I
					switch (cmds){
						case McFuncExist:// ̊֐I
							switch(rslt) {
								case McErrNone:// Ȃ
									aiload = AI_FILE_OPEN;// file open ă`FbN
								break;
								case McErrNewCard:	/* VKJ[ho*/
									MemCardAccept( chan );	/* ɏڍׂȏ擾*/
								break;
								/* J[hȂ*/
								case McErrCardNotExist:// J[h
									aitime = 0;// ^C}[
									InitSpr(AI_CARD_NO);// hĂȂ߂[
									aiload = AI_CARD_NO;// J[h\
								break;
								case McErrCardInvalid:// J[h
									aitime = 0;// ^C}[
									InitSpr(AI_NO_DATA);
									// łf[^܂ło
									aiload = AI_NO_DATA;
								break;
							}
						break;
						case McFuncAccept:// ̊֐I
							switch(rslt){
								case McErrNone:// ڑĂ
									aiload = AI_FILE_OPEN;// file open ă`FbN
								break;
								case McErrCardNotExist:// ڑĂȂ
									aitime = 0;// ^C}[
									InitSpr(AI_CARD_NO);// hĂȂ߂[
									aiload = AI_CARD_NO;// J[h\
								break;
								case McErrCardInvalid:// sǃJ[h
									aitime = 0;// ^C}[
									InitSpr(AI_NO_DATA);
									// ĂƂ͕\łȂ\j[̂낤I
									aiload = AI_NO_DATA;
								break;
								case McErrNewCard:// VKJ[hiJ[hꂽj
									MemCardAccept( chan );	/* gC*/
								break;
								case McErrNotFormat:// tH[}bgĂȂ
									aitime = 0;// ^C}[
									InitSpr(AI_NO_DATA);
									aiload = AI_NO_DATA;
								break;
							}// switch last
						break;
					}// switch last
				break;
			}// switch last




		break;
// AI_CARD_CHECH ܂
		case AI_FILE_OPEN:// f[^邩`FbN

			switch ( MemCardOpen(chan,"BISLPS-01779",O_RDONLY) ){
				case McErrNone:// I
				// t@C
					aiload = AI_DATA_LOAD;// ۂɃf[^[h
				break;
				case McErrCardNotExist:// J[hڑĂȂ
				case McErrCardInvalid:// sǃJ[h
				case McErrNotFormat:// tH[}bgĂȂ
				case McErrFileNotExist:// t@CȂ
				case -1:// ɑ̃t@CI[vꂢ邩A񓯊֐obNOEhœ쒆łB
					// f[^ƕ\
					aitime = 0;
					InitSpr(AI_NO_DATA);
					aiload = AI_NO_DATA;
				break;
			}// switch last
			

		break;
		case AI_DATA_LOAD:// f[^[h

		switch ( MemCardSync(1,&cmds,&rslt) ){
			case -1:// o^
				/* J[h̐ڑeXg*/
				MemCardReadData((unsigned long * )MEMCARD_LOAD_ADDR_2P,4096,4096);
			break;
			case 0:// o^s
				aitime = 0;// \pJE^[Ă݂[
			break;
			case 1:// o^I
				switch (cmds){
					case McFuncReadData:// ̊֐I
						switch(rslt) {
							case McErrNone:// I
								aiload = AI_UNIT_SELECT;// IĖ߂
							break;
							case McErrCardNotExist:// J[hڑĂȂ
							case McErrCardInvalid:// ʐMG[
							case McErrNewCard:// VKJ[hiJ[hꂽj
							case McErrFileNotExist:// t@CȂ
								// [hɎs܂bZ[W\
								aitime = 0;
								InitSpr(AI_LOAD_MISS);// bZ[W
								aiload = AI_LOAD_MISS;
							break;
						}
				}
		}

		break;
		case AI_LOAD_MISS:// [h~X

			aitime ++;
			if (aitime > PRINTTIME){// Ԃ猳ɖ߂
				MemCardClose();// ꉞĂ
				aiload = AI_START_PRN;
			}

		break;
		case AI_NO_DATA:// f[^

			aitime ++;
			if (aitime > PRINTTIME){// Ԃ猳ɖ߂
				MemCardClose();// ꉞĂ
				aiload = AI_START_PRN;
			}

		break;
		case AI_CARD_NO:// J[hhĂȂ

			aitime ++;
			if (aitime > PRINTTIME){// Ԃ猳ɖ߂
				MemCardClose();// ꉞĂ
				aiload = AI_START_PRN;
			}

		break;
		case AI_CARD_NUKI:// J[hꂽ

			aitime ++;
			if (aitime > PRINTTIME){// Ԃ猳ɖ߂
				MemCardClose();// ꉞĂ
				aiload = AI_START_PRN;
			}

		break;
		case AI_UNIT_SELECT:// [hIĔ

			aitime = 0;// Ƃ肠Ă
			MemCardClose();// ƕĂ

			// ߂ꏊ炸


		break;
	}// switch last

AK_Mess_Sort();// bZ[W̕\

}// ΐ탂[h[h֐܂


/********************************************************************************
*																				*
*					Xg[[[h̃Z[u֐								*
*																				*
********************************************************************************/

void AK_Save_StoryMode(){
	static int gosave = SYSINIT;// Z[uvZX 
	static int gotime;// \p^C}[
	static int akloop = 0;
	long chan = 0x00;// 1P port
	long rslt;
	long cmds;
	switch(gosave){
		case SYSINIT:
#if (SOUND)// vȂł낤B
//			SOUND_I();
//			SE_LOAD(0);
#endif
			*( (unsigned char *)RED_INIT_FLG_ADDR ) = 1;// tOZbg

			while (akloop < TIM_MAX_NUM){
				FioDivReadFile("DT\\AK.T",(unsigned char *)TIM_LOAD_ADDR,TIM_TBL[akloop].ST,TIM_TBL[akloop].SI);
				Tim2Vram(TIM_LOAD_ADDR);
				akloop++;
			}// while last

			// AK_Save_Mode_Init_Tim();
			InitSpr(SAVEFILE);
			Init_Yes_No();// ͂̂傫
			gosave = SAVEFILE;
		break;
		case SAVEFILE:
			if ( PadDat[0].trg & PADLU ){//  ͂I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 511;// IJ[
				AK_NO.cy = 510;
			}
			else if ( PadDat[0].trg & PADLD ){//  I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 510;
				AK_NO.cy = 511;// IJ[
			}// else if last

			else if( (AK_NO.cy == 511)&&(PadDat[0].trg & PADRR) ){// Ō
				SE_ENT(SE_OK1);
				pcb.req = 0x04;// Zʂ֖߂ƎvB
			}
			else if( (AK_YES.cy == 511)&&(PadDat[0].trg & PADRR) ){// ͂Ō
				SE_ENT(SE_OK1);
				gosave = MCCHECK;
			}

//			AK_Mess_Sort();// bZ[W̕\
			AK_Yes_No_Sort();// ͂̕\
			AK_Pnl_Sort();// Ipl̃\[g
			
		break;
		case MCCHECK:// J[h`FbN


			switch ( MemCardSync(1,&cmds,&rslt) ){
				case -1:// o^
					/* J[h̐ڑeXg*/
					MemCardExist(chan);
				break;
				case 0:// o^s
				break;
				case 1:// o^I
					switch (cmds){
						case McFuncExist:// ̊֐I
							switch(rslt) {
								case McErrNone:// Ȃ
									gosave = SAVE_FILE_CHECK;// file open ă`FbN
								break;
								case McErrNewCard:	/* VKJ[ho*/
									MemCardAccept( chan );	/* ɏڍׂȏ擾*/
								break;
								/* J[hȂ*/
								case McErrCardNotExist:// J[h
									gotime = 0;
									InitSpr(CARD_NO);// hĂȂ߂[
									gosave = CARD_NOTHING;// J[h\
								break;
								case McErrCardInvalid:// J[h
									gotime = 0;// ^C}[
									InitSpr(SAVEMISS);
									gosave = SAVEMISS;// łZ[uł܂łoB
								break;
							}
						break;
						case McFuncAccept:// ̊֐I
							switch(rslt){
								case McErrNone:// ڑĂ
									gosave = SAVE_FILE_CHECK;// file open ă`FbN
								break;
								case McErrCardNotExist:// ڑĂȂ
									gotime = 0;
									InitSpr(CARD_NO);// hĂȂ߂[
									gosave = CARD_NOTHING;// J[h\
								break;
								case McErrCardInvalid:// sǃJ[h
									gotime = 0;
									InitSpr(SAVEMISS);
									gosave = SAVEMISS;// ĂƂ͕\łȂ\j[̂낤I
								break;
								case McErrNewCard:// VKJ[hiJ[hꂽj
									MemCardAccept( chan );	/* gC*/
								break;
								case McErrNotFormat:// tH[}bgĂȂ
									// bZ[W
									InitSpr(FORMATOK);
									Init_Yes_No();// ͂̂傫
									gosave = FORMATOK;// tH[}bgmF
								break;
							}// switch last
						break;
					}// switch last
				break;
			}// switch last
		
		
		
			// AK_Save_Mode_Init_2();// J[hȂł
		break;
		case FORMATOK:// tH[}bgmF
		// tH[}bg邩Ȃ`FbN
			if ( PadDat[0].trg & PADLU ){//  ͂I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 511;// IJ[
				AK_NO.cy = 510;
			}
			else if ( PadDat[0].trg & PADLD ){//  I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 510;
				AK_NO.cy = 511;// IJ[
			}// else if last

			else if( (AK_NO.cy == 511)&&(PadDat[0].trg & PADRR) ){// Ō
				SE_ENT(SE_OK1);
				InitSpr(SAVEFILE);
				Init_Yes_No();// ͂̂傫
				MemCardClose();
				gosave = SAVEFILE;
			}
			else if( (AK_YES.cy == 511)&&(PadDat[0].trg & PADRR) ){// ͂Ō
				SE_ENT(SE_OK1);
				gosave = RUNFORMAT;// ۂɃtH[}bg
			}

		AK_Yes_No_Sort();// ͂̕\
		AK_Pnl_Sort();// Ipl̃\[g
			
		break;
		case RUNFORMAT:// ۂɃtH[}bg
			switch ( MemCardFormat( chan ) ){
				case McErrNone:// I
					InitSpr(CREATE_FILE);
					gosave = CREATE_FILE;// ۂɃZ[u
				break;
				case McErrCardNotExist:// J[hڑĂȂ
				case McErrCardInvalid:// ʐMG[
				case -1:// 񓯊֐쒆
					// I[g[h̎̕\g܂킵
					gotime = 0;// ^C}[
					InitSpr(UNFORMAT);
					Init_Yes_No();// ͂̂傫
					gosave = FORMATMISS;
				break;
			}// switch last
		break;
		case FORMATMISS:// tH[}bgG[
			gotime ++;
			if ( gotime > PRINTTIME ){// ɖ߂
				InitSpr(SAVEFILE);
				Init_Yes_No();// ͂̂傫
				MemCardClose();
				gosave = SAVEFILE;
			}
		break;
		case SAVE_FILE_CHECK:// f[^邩`FbN
		// ۂɃt@CI[v
			switch ( MemCardOpen(chan,"BISLPS-01779",O_WRONLY) ){
				case McErrNone:// I
				// t@C
				// ㏑mF
					InitSpr(OVER_WRITE_CHECK);
					Init_Yes_No();// ͂̂傫
					gosave = OVER_WRITE_CHECK;
				break;
				case McErrCardNotExist:// J[hڑĂȂ
				case McErrCardInvalid:// sǃJ[h
				case McErrNotFormat:// tH[}bgĂȂ
				case -1:// ɑ̃t@CI[vꂢ邩A񓯊֐obNOEhœ쒆łB
					// Z[us\
					gotime = 0;
					InitSpr(SAVEMISS);
					gosave = SAVEMISS;
				break;
				case McErrFileNotExist:// t@CȂ
					// 󂫗eʃ`FbN
					gosave = CARD_SPACE_CHECK;
				break;
			}// switch last
		break;
		case OVER_WRITE_CHECK:// ㏑mF
		// J[\I
			if ( PadDat[0].trg & PADLU ){//  ͂I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 511;// IJ[
				AK_NO.cy = 510;
			}
			else if ( PadDat[0].trg & PADLD ){//  I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 510;
				AK_NO.cy = 511;// IJ[
			}// else if last

			else if( (AK_NO.cy == 511)&&(PadDat[0].trg & PADRR) ){// Ō
				SE_ENT(SE_OK1);
				InitSpr(SAVEFILE);
				Init_Yes_No();// ͂̂傫
				MemCardClose();
				gosave = SAVEFILE;
			}
			else if( (AK_YES.cy == 511)&&(PadDat[0].trg & PADRR) ){// ͂Ō
				SE_ENT(SE_OK1);
				InitSpr(CREATE_FILE);
				gosave = CREATE_FILE;// ۂɍ쐬
			}

		AK_Yes_No_Sort();// ͂̕\
		AK_Pnl_Sort();// Ipl̃\[g
			
		break;
		case CARD_SPACE_CHECK:// 󂫗eʃ`FbN
			// FileCreategp
			switch ( MemCardCreateFile(chan,"BISLPS-01779",MEM_BLOCK) ){
				case McErrNone:// I
					InitSpr(CREATE_FILE);
					gosave = CREATE_FILE;
				break;
				case McErrCardNotExist:// J[hڑĂȂ
				case McErrCardInvalid:// ʐMG[
				case McErrNotFormat:// tH[}bgĂȂ
				case -1:// 񓯊֐쒆
					// Z[us\
					gotime = 0;
					InitSpr(SAVEMISS);
					gosave = SAVEMISS;
				break;
				case McErrAlreadyExist:// Ƀt@C݂
				// ㏑mF
					InitSpr(OVER_WRITE_CHECK);
					Init_Yes_No();// ͂̂傫
					gosave = OVER_WRITE_CHECK;
				break;
				case McErrBlockFull:// 󂫃ubNȂ
					gotime = 0;// ^C}[
					InitSpr(SPACECHECK);
					gosave = NO_SPACE;
				break;
			}// switch last
		break;
		case NO_SPACE:// 󂫗eʖ
			gotime ++;
			if ( gotime > PRINTTIME ){
				InitSpr(SAVEFILE);
				Init_Yes_No();// ͂̂傫
				MemCardClose();
				gosave = SAVEFILE;
			}
		break;
		case CREATE_FILE:// ۂɃZ[u
		// ǂ[ォ璼ڎ̂ň폜
			switch ( MemCardDeleteFile(chan, "BISLPS-01779") ){// t@C폜
				case McErrNone:// I
					// AVK쐬B
					switch ( MemCardCreateFile( chan, "BISLPS-01779" , MEM_BLOCK) ){
						case McErrNone:// I
							gosave = HEADCREATE;// 悸wb_쐬
						break;
						case McErrCardNotExist:// J[hڑĂȂ
						case McErrCardInvalid:// ʐMG[
						case McErrNotFormat:// tH[}bgĂȂ
						case McErrAlreadyExist:// Ƀt@C݂
						case McErrBlockFull:// 󂫃ubNȂ
						case -1:// 񓯊֐쒆
							gotime = 0;
							InitSpr(SAVEMISS);
							gosave = SAVEMISS;
						break;
					}// VK쐬̃XCb`
				break;
				case McErrCardNotExist:// J[hڑĂȂ
				case McErrCardInvalid:// ʐMG[
				case McErrNotFormat:// tH[}bgĂȂ
				case McErrFileNotExist:// t@CȂ
				case -1:// 񓯊֐쒆
					gotime = 0;
					InitSpr(SAVEMISS);
					gosave = SAVEMISS;// ׂƎv
				break;
			}// switch last
			
		break;
		case HEADCREATE:// 悸wb_쐬
			// wb_
			/* t@Cwb_̏*/
			HEAD.Magic[0] = 'S';
			HEAD.Magic[1] = 'C';
			HEAD.Type = 0x12;
			HEAD.BlockEntry = 1;
			strcpy( HEAD.Title, "og`" );
			memcpy( HEAD.Clut, AKTEMP.clut, 32 );
		//	memcpy( HEAD.Icon[0], AKTEMP.pix2, 128);
			memcpy( HEAD.Icon[0], AKTEMP.pixel, 128);
			memcpy( HEAD.Icon[1], AKTEMP.pixel, 128);

			/* t@C쐬*/
			MemCardWriteFile( chan, "BISLPS-01779", (long*)&HEAD, 0, sizeof(HEAD) );
			/* I҂*/
			MemCardSync(0,0,&rslt);
// ܂łŃwb_o܂B
			MemCardClose();
			gosave = FILEOPEN;
		break;
		case FILEOPEN:

			/* t@CI[v*/
			switch ( MemCardOpen( chan, "BISLPS-01779" , O_WRONLY) ){
				case McErrNone:// I
					gosave = NOWSAVING;// ۂɃZ[u
				break;
				case McErrCardNotExist:// J[hڑĂȂ
				case McErrCardInvalid:// sǃJ[h
				case McErrNotFormat:// tH[}bgĂȂ
				case McErrFileNotExist:// t@CȂ
				case -1:// ̊֐s
					gotime = 0;
					InitSpr(SAVEMISS);
					gosave = SAVEMISS;
				break;
			}// switch last
			
		break;
		case NOWSAVING:// ۂɃZ[u
		switch ( MemCardSync(1,&cmds,&rslt) ){
			case -1:// o^
				/* t@C쐬*/
				MemCardWriteData( (long*)EVT_FLAG_ADDR, SAVEOFFSET, SAVEBYTES );
			break;
			case 0:// o^s
			break;
			case 1:// o^I
				switch (cmds){
					case McFuncWriteData:// ̊֐I
						switch(rslt) {
							case McErrNone:// I
								gotime = 0;// ^C}[
								InitSpr(GO_SEISAN);
								gosave = GO_SEISAN;// ̂ŐZʂ
							break;
							case McErrCardNotExist:// J[hڑĂȂ
							case McErrCardInvalid:// ʐMG[
							case McErrNewCard:// VKJ[hiJ[hꂽ)
								gotime = 0;
								InitSpr(SAVEMISS);
								gosave = SAVEMISS;// G[bZ[W
							break;
						}
					break;
					default:// ̑
					break;
				}
		}
		
		
		
		break;
		case SAVEMISS:// Z[us
		// J[hƂsƂŕ\܂
			gotime ++;
			if ( gotime > PRINTTIME ){
				InitSpr(SAVEFILE);
				Init_Yes_No();// ͂̂傫
				MemCardClose();
				gosave = SAVEFILE;
			}
		break;
		case GO_SEISAN:// Zʂ֖߂
			MemCardClose();
			gotime ++;
			if( gotime > PRINTTIME ){
				memcpy( (unsigned char * ) 0x801e0000,( unsigned char *)EVT_FLAG_ADDR,4096);// \tgZbg΍
				*( (unsigned char *)RED_INIT_FLG_ADDR ) = 1;// tOZbg
				pcb.srst = 0x00;// \tgZbg
				pcb.req = 0x04;// Zʂ֖߂
			}
		break;
		case CARD_NOTHING:// J[h\
			InitSpr(CARD_NO);// bZ[W͂Qނ܂B
			AK_Mess_Sort2();// XbgPɃJhĂB
			// hĂ܂͎Iɏo܂
			gotime ++;
			if ( gotime > PRINTTIME ){
				InitSpr(SAVEFILE);
				Init_Yes_No();// ͂̂傫
				MemCardClose();
				gosave = SAVEFILE;
			}
		break;
	}// switch last


AK_Mess_Sort();// ͕K\Ă

// ͔wi炵

}// AK_Save_StoryMode last


/********************************************************************************
*																				*
*					ÑI[g[h֐									*
*																				*
********************************************************************************/


void AK_Auto_Load(){
	static unsigned long aktime;
	static int sltest = INITSYS;// ꉞOǂƏĂ
	static short	akloop;
//	int Redselect;// ͂ƂIp
	long rslt = 0;// J`FbNp
	long chan = 0;
	long cmds = 0;
//	long files[2];
	chan = 0x00;
	
	aktime ++;
	FntPrint("\nTIME : %d\n",aktime);

switch (sltest){
	case INITSYS:
#if (SOUND)
			SOUND_I();
			SE_LOAD(0);
#endif


		while (akloop < TIM_MAX_NUM){// ͂X
			FioDivReadFile("DT\\AK.T",(unsigned char *)TIM_LOAD_ADDR,TIM_TBL[akloop].ST,TIM_TBL[akloop].SI);
			Tim2Vram(TIM_LOAD_ADDR);
			akloop++;
		}// while last
		if(akloop >= TIM_MAX_NUM){// timSǂݍ񂾂玟
			/* [J[hVXe */
			// HR̂ƂłĂ
			sltest = CARDCHECK;
		}// if last
#if 0
		if(akloop == 8){// richard.tim
			AKTEMP.pix2 = AKTEMP.pixel;
			AKTEMP.clt2 = AKTEMP.clut;
		}
#endif
		
	break;
	case CARDCHECK:// hĂ邩`FbN
			FntPrint("\nCHECK START\n");

	switch ( MemCardSync(1,&cmds,&rslt) ){
		case -1:// o^
			/* J[h̐ڑeXg*/
			MemCardExist(chan);
		break;
		case 0:// o^s
		break;
		case 1:// o^I
			switch (cmds){
				case McFuncExist:// ̊֐I
					switch(rslt) {
						case McErrNone:// Ȃ
							sltest = DATACHECK;
						break;
						case McErrNewCard:	/* VKJ[ho*/
							MemCardAccept( chan );	/* ɏڍׂȏ擾*/
		//					MemCardExist(chan);// Accept͂ǂVK쎞ɂ邩ǂ
							// ƎvAExist̂܂܂ƐVKJ[hʒmĔȂB
						break;
						/* J[hȂ*/
						case McErrCardNotExist:// J[h
							Init_New_Or_Replay();// [h邩Vn߂邩`FbN
							InitSpr(NOCARD);
							sltest = NOCARD;
					//		FntPrint("\nNO CARD\n");
						break;
						case McErrCardInvalid:// J[h
							InitSpr(BREAK_DATA);
							sltest = BREAK_DATA;
						break;
					}
				break;
				case McFuncAccept:// ̊֐I
					switch(rslt){
						case McErrNone:// ڑĂ
							sltest = DATACHECK;
						break;
						case McErrCardNotExist:// ڑĂȂ
							Init_New_Or_Replay();// [h邩Vn߂邩`FbN
							InitSpr(NOCARD);
							sltest = NOCARD;
						break;
						case McErrCardInvalid:// sǃJ[h
							aktime = 0;// ʕ\^C}[
							InitSpr(BREAK_DATA);
							sltest = BREAK_DATA;
						break;
						case McErrNewCard:// VKJ[hiJ[hꂽj
							MemCardAccept( chan );	/* gC*/
						break;
						case McErrNotFormat:// tH[}bgĂȂ
							Init_New_Or_Replay();// [h邩Vn߂邩`FbN
							InitSpr(NOCARD);
							sltest = NOCARD;
						break;
					}// switch last
				break;
				default:
				break;
			}// switch last
		
		
		
		
		
		break;
	}// switch last




	
	break;
	case NOCARD:// J[h
		// [h邩VKQ[I

			if ( PadDat[0].trg & PADLU ){//  [hI
				SE_ENT(SE_CUR1);
				AK_LOAD_OK.cy = 511;// IJ[
				AK_NEW_GAME.cy = 510;
			}
			else if ( PadDat[0].trg & PADLD ){//  Vn߂I
				SE_ENT(SE_CUR1);
				AK_LOAD_OK.cy = 510;
				AK_NEW_GAME.cy = 511;// IJ[
			}// else if last

			else if( (AK_LOAD_OK.cy == 511)&&(PadDat[0].trg & PADRR) ){// [hŌ
				SE_ENT(SE_OK1);
				sltest = CARDCHECK;// J[h`FbN֖߂
			}
			else if( (AK_NEW_GAME.cy == 511)&&(PadDat[0].trg & PADRR) ){// VKJnŌ
				SE_ENT(SE_OK1);
				InitSpr(NODATA);// \[g̑Oɏ
				Init_Yes_No();// ͂̂傫
				sltest = NODATA;// VKt@C쐬邩I
			}

//			AK_Mess_Sort();
			AK_Pnl_Sort();// Ipl̃\[g
			AK_New_Or_Load_Sort();// Vn߂邩[h邩̃\[g
			
	break;
	case DATACHECK:// f[^邩`FbN
	//	MemCardGetDirentry( chan, "*", fileList, &files, 0, BLOCK_MAX );
	//	sltest = GOTITLE;

		switch ( MemCardOpen( chan , "BISLPS-01779" , O_RDONLY ) ){
			case McErrNone:// I
				// t@C
				aktime = 0;// Ă݂
				sltest = DATALOAD;
			break;
			case McErrCardNotExist:// J[hڑĂȂ
				// \
				Init_New_Or_Replay();// [h邩Vn߂邩`FbN
				InitSpr(NOCARD);
				sltest = NOCARD;// J[hhĂ˃bZ[W\
			break;
			case McErrCardInvalid:// sǃJ[h
				aktime = 0;// ʕ\^C}[
				InitSpr(BREAK_DATA);
				sltest = BREAK_DATA;
			break;
			case McErrNotFormat:// tH[}bgĂȂ
								// f[^Ƃ݂Ȃ
			case McErrFileNotExist:// t@CȂ
				InitSpr(NODATA);// \[g̑Oɏ
				Init_Yes_No();// ͂̂傫
				sltest = NODATA;// VKt@C쐬邩I
			break;
			case -1:
				Init_New_Or_Replay();// [h邩Vn߂邩`FbN
				InitSpr(NOCARD);
				sltest = NOCARD;// J[hhĂ˃bZ[W\
			break;
		}// switch last

//			FntPrint("\nCARD OK\n");
//			printf("CARD OK\n");
	break;
	case NODATA:// f[^
		// Z[ut@C邩ǂI
			if ( PadDat[0].trg & PADLU ){//  ͂I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 511;// IJ[
				AK_NO.cy = 510;
			}
			else if ( PadDat[0].trg & PADLD ){//  I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 510;
				AK_NO.cy = 511;// IJ[
			}// else if last

			else if( (AK_NO.cy == 511)&&(PadDat[0].trg & PADRR) ){// Ō
				SE_ENT(SE_OK1);
				sltest = GOTITLE;// ^Cg
			}
			else if( (AK_YES.cy == 511)&&(PadDat[0].trg & PADRR) ){// ͂Ō
				SE_ENT(SE_OK1);
				sltest = NEWGAME;// VKt@C쐬
			}

#if 0
// ܂sƌڂƗǂ
Redselect = AK_Select_YorN();

if( (Redselect == 1)&&(PadDat[0].trg & PADRR) ){// ok
	sltest = GOTITLE;// ^Cg
}
else if( (Redselect == 2)&&(PadDat[0].trg & PADRR) ){// no
	sltest = NEWGAME;// VKt@C쐬
}
#endif

			
//			AK_Mess_Sort();
			AK_Yes_No_Sort();// ͂̕\
			AK_Pnl_Sort();// Ipl̃\[g
			
	break;
	case DATABREAKCHECK:// f[^Ă邩`FbN
	break;
	case BREAK_DATA:// f[^ꂿĂ
//			AK_Mess_Sort();
	// ̌^Cgֈړ
		aktime ++;
		if (aktime > PRINTTIME ){// 1b\^Cg
			sltest = GOTITLE;
		}
	break;
	case DATALOAD:// f[^[h
	//sltest = GOTITLE;// ^Cg
		// [h܂傤
		switch ( MemCardSync(1,&cmds,&rslt) ){
			case -1:// o^
				/* J[h̐ڑeXg*/
				MemCardReadData((unsigned long * )EVT_FLAG_ADDR,4096,4096);
			break;
			case 0:// o^s
				aktime = 0;// \pJE^[Ă݂[
			break;
			case 1:// o^I
				switch (cmds){
					case McFuncReadData:// ̊֐I
						switch(rslt) {
							case McErrNone:// I
// [hꍇ̂ݏtOZbg
								*( (unsigned char *)RED_INIT_FLG_ADDR ) = 1;// tOZbg
								sltest = GOTITLE;// ^CgփS[
							break;
							case McErrCardNotExist:// J[hڑĂȂ
							case McErrCardInvalid:// ʐMG[
							case McErrNewCard:// VKJ[hiJ[hꂽj
							case McErrFileNotExist:// t@CȂ
								// [hɎs܂bZ[W\
								InitSpr(LOADMISS);
//								AK_Mess_Sort();
								aktime ++;
								if (aktime > PRINTTIME-60 ){
									Init_New_Or_Replay();// J[hhĂ˃bZ[W
									InitSpr(NOCARD);
									sltest = NOCARD;
								}
							break;
							default:// ˊэH
								// 点񂾂܂BĂȂB
							break;
						}
				}
		}
		
	break;
	case LOADCHECK:// [hȁH
	break;
	case LOADMISS:// [hs
		aktime ++;
		if ( aktime > PRINTTIME ){
			
		}
	break;
	case GOTITLE:// [h^Cg
		MemCardClose();// t@CN[Y
//		MemCardStop();// [J[hVXe̒~
//		MemCardEnd();// [J[hVXȅI
//		XgbvƃGh̓Q[Sɔ鎞ŗǂ

		*( (unsigned char *)RED_INIT_FLG_ADDR ) = 1;// tOZbg


		// t`FbN܂


		pcb.req = 0x05;// ^CgփS[
		pcb.srst = 0x00;// \tgZbg
		
	break;
// ȌVK쐬菇
	case NEWGAME:// NODATA番B߂ăQ[܂
		sltest = CHECK_CARD;// ߂[h`FbN
	break;
	case CREATEFILE:// t@C
	break;
	case CHECK_CARD:// 쐬JnẴJhĂ邩`FbN
		// lȂƁA܂s[[[[[[[[
		// Ȃt@CNGCgɍsy
		// ͂͂ŏ

		switch ( MemCardCreateFile( chan,"BISLPS-01779",MEM_BLOCK) ){
			case McErrNone:// I
				// ̌ۂɃt@C
				aktime = 0;// \p^C}[
				sltest = FILE_CREATE;
			break;
			case McErrCardNotExist:// J[hڑĂȂ
				aktime = 0;// \p^C}[
				sltest = CARD_NO;
			break;
			case McErrCardInvalid:// ʐMG[
				sltest = CREATEERROR;
			break;
			case McErrNotFormat:// tH[}bgĂȂ
				InitSpr(UNFORMAT);
				Init_Yes_No();// ͂̂傫
				sltest = UNFORMAT;
			break;
			case McErrAlreadyExist:// Ƀt@C݂( ㏑ j
				InitSpr(OVERWRITE);
				Init_Yes_No();// ͂̂傫
				sltest = OVERWRITE;
			break;
			case McErrBlockFull:// 󂫃ubNȂ
				aktime = 0;// \^C}[
				InitSpr(SPACECHECK);
				sltest = SPACECHECK;
			break;
		}// switch last


	break;
	case CARD_NO:// hĂ܂
		InitSpr(CARD_NO);// bZ[W͂Qނ܂B
		
		AK_Mess_Sort2();// XbgPɃJhĂB
		// hĂ܂̓ftHŏo܂B
//		AK_Mess_Sort();
		
		if(aktime>PRINTTIME){// ̑O̕Ń^C}[̓NAĂ܂
			InitSpr(NODATA);// \[g̑Oɏ
			Init_Yes_No();// ͂̂傫
			sltest = NODATA;
		}
	break;
	case FORMATCHECK:// tH[}bgĂ邩`FbN
	// MemCardCreateFile();ŉ\Ȃ̂Ŗgp
	break;
	case UNFORMAT:// tH[}bgĂȂItH[}bgHHH

			if ( PadDat[0].trg & PADLU ){//  ͂I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 511;// IJ[
				AK_NO.cy = 510;
			}
			else if ( PadDat[0].trg & PADLD ){//  I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 510;
				AK_NO.cy = 511;// IJ[
			}// else if last

			else if( (AK_NO.cy == 511)&&(PadDat[0].trg & PADRR) ){// Ō
				SE_ENT(SE_OK1);
				InitSpr(NODATA);
				Init_Yes_No();// ͂
				sltest = NODATA;
			}
			else if( (AK_YES.cy == 511)&&(PadDat[0].trg & PADRR) ){// ͂Ō
				SE_ENT(SE_OK1);
				sltest = CHECK_FORMAT;// tH[}bgs
			}

//		AK_Mess_Sort();
		AK_Pnl_Sort();// Ipl̃\[g
		// ͂Kv
		// NODATA܂Ŗ߂
		AK_Yes_No_Sort();// ͂̕\
		
	break;
	case CHECK_FORMAT:// tH[}bg͐ȁH
		// sȂ~XbZ[W\UNFORMAT֖߂
		// ۂ̃tH[}bg
		switch ( MemCardFormat(chan) ){
			case McErrNone:// I
				sltest = FILE_CREATE;// t@C쐬
			break;
			case McErrCardNotExist:// J[hڑĂȂ
			case McErrCardInvalid:// ʐMG[
			case -1:// 񓯊֐쒆
			// tH[}bgs\
				InitSpr(UNFORMAT);
				Init_Yes_No();// ͂̂傫
				sltest = UNFORMAT;
			break;
		}// switch last
	break;
	case SPACECHECK:// 󂫗eʃ`FbN
		aktime ++;
		// ^C}[ŕ\t@C쐬܂Ŗ߂
		if(aktime > PRINTTIME){
		InitSpr(NODATA);// \[g̑Oɏ
		Init_Yes_No();// ͂̂傫
		sltest = NODATA;// VKt@C쐬邩I
		}
	break;
	case CHECK_DATA:// ̃f[^邩ȁH
		// gp
	break;
	case OVERWRITE:// f[^͏㏑mF

			if ( PadDat[0].trg & PADLU ){//  ͂I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 511;// IJ[
				AK_NO.cy = 510;
			}
			else if ( PadDat[0].trg & PADLD ){//  I
				SE_ENT(SE_CUR1);
				AK_YES.cy = 510;
				AK_NO.cy = 511;// IJ[
			}// else if last

			else if( (AK_NO.cy == 511)&&(PadDat[0].trg & PADRR) ){// Ō
				SE_ENT(SE_OK1);
				InitSpr(NOCARD);
				Init_Yes_No();// ͂
				sltest = NOCARD;
			}
			else if( (AK_YES.cy == 511)&&(PadDat[0].trg & PADRR) ){// ͂Ō
				SE_ENT(SE_OK1);
//				MemCardDeleteFile(chan, "BISLPS-01779");// t@C폜
				aktime = 0;
				sltest = FILE_CREATE;
			}
		


//		AK_Mess_Sort();
		AK_Pnl_Sort();// Ipl̃\[g
		AK_Yes_No_Sort();// ͂̕\
	break;
	case FILE_CREATE:// 쐬bZ[WƎۂ̍쐬
	// wb_
	/* t@Cwb_̏*/
	HEAD.Magic[0] = 'S';
	HEAD.Magic[1] = 'C';
	HEAD.Type = 0x12;
	HEAD.BlockEntry = 1;
	strcpy( HEAD.Title, "og`" );
	memcpy( HEAD.Clut, AKTEMP.clut, 32 );
//	memcpy( HEAD.Icon[0], AKTEMP.pix2, 128);
	memcpy( HEAD.Icon[0], AKTEMP.pixel, 128);
	memcpy( HEAD.Icon[1], AKTEMP.pixel, 128);



	/* t@C쐬*/
	MemCardWriteFile( chan, "BISLPS-01779", (long*)&HEAD, 0, sizeof(HEAD) );
	/* I҂*/
	MemCardSync(0,0,&rslt);



	AK_MEM_DATA_INIT(23);// f[^BVKt@CȂ̂


	/* t@CI[v*/
	switch ( MemCardOpen( chan, "BISLPS-01779" , O_WRONLY) ){
		case McErrNone:// I
			sltest = CREATE_CHECK;
		break;
		case McErrCardNotExist:// J[hڑĂȂ
		case McErrCardInvalid:// sǃJ[h
		case McErrNotFormat:// tH[}bgĂȂ
		case McErrFileNotExist:// t@CȂ
		case -1:// ̊֐s
			aktime = 0;// \^C}[
			sltest = CREATEERROR;// 쐬~XbZ[W\
		break;
	}// switch last


		InitSpr(FILE_CREATE);
//		AK_Mess_Sort();
		// JE^[ŕ\邩Aƕ\ƂB
		aktime ++;
		if (aktime > TIM_PRINT * 2){// ^C}[ŕ\Ԍ
		sltest = GOTITLE;
		}
	break;
	case CREATEERROR:// Z[ut@C쐬~X
		InitSpr(CREATEERROR);
		
		aktime ++;
		if( ( aktime > PRINTTIME )&&( PadDat[0].trg & PADRR ) ){
			InitSpr(NODATA);// \[g̑Oɏ
			Init_Yes_No();// ͂̂傫
			sltest = NODATA;// VKt@C쐬邩I
		}

	break;
	case CREATE_CHECK:// 쐬`FbN̕OKȂ^CgnoȂNEWGAME
		switch ( MemCardSync(1,&cmds,&rslt) ){
			case -1:// o^
				/* t@C쐬*/
				MemCardWriteData( (long*)EVT_FLAG_ADDR, SAVEOFFSET, SAVEBYTES );
			break;
			case 0:// o^s
			break;
			case 1:// o^I
				switch (cmds){
					case McFuncWriteData:// ̊֐I
						switch(rslt) {
							case McErrNone:// I
								sltest = GOTITLE;// ^Cg
							break;
							case McErrCardNotExist:// J[hڑĂȂ
							case McErrCardInvalid:// ʐMG[
							case McErrNewCard:// VKJ[hiJ[hꂽ)
								sltest = CREATEERROR;// G[bZ[W
							break;
						}
					break;
					default:// ̑
					break;
				}
		}
	break;
}// switch last


AK_Mess_Sort();// ͕K\Ă
// ͔wi͂\

//   return( 0 );
}



/************************************************************************************
*																					*
*				XvCgƂf[^Ƃ								*
*																					*
*																					*
************************************************************************************/





/*--------------------------------
eNX`\
--------------------------------*/
void Tim2Vram(u_long addr){
  RECT rect1;
  GsIMAGE tim1;
  
  GsGetTimInfo((u_long *)(addr+4),&tim1);
  rect1.x=tim1.px;
  rect1.y=tim1.py;
  rect1.w=tim1.pw;
  rect1.h=tim1.ph;
  LoadImage(&rect1,tim1.pixel);
  if((tim1.pmode>>3)&0x01)	/* if clut exist */
    {
      rect1.x=tim1.cx;
      rect1.y=tim1.cy;
      rect1.w=tim1.cw;
      rect1.h=tim1.ch;
      LoadImage(&rect1,tim1.clut);
    }
    AKTEMP.pixel = tim1.pixel;
    AKTEMP.clut = tim1.clut;
}// Tim2Vram last

void AK_Mess_Sort(void){// bZ[W̕\
		GsSortFastSprite(&AK_Font[0],&ot[ PSDIDX ],0);// bZ[Ŵݕ\
}// function last
void AK_Mess_Sort2(void){// bZ[W̕\̂Q
		GsSortFastSprite(&AK_Font[1],&ot[ PSDIDX ],0);// bZ[Ŵݕ\
}

void AK_Yes_No_Sort(void){// ͂̕\
		GsSortFastSprite(&AK_YES,&ot[ PSDIDX ],0);// ͂
		GsSortFastSprite(&AK_NO,&ot[ PSDIDX ],0);// 
}// function last

void AK_New_Or_Load_Sort(void){// Vn߂邩[h邩̃\[g
		GsSortFastSprite(&AK_LOAD_OK,&ot[ PSDIDX ],0);// [h܂
		GsSortFastSprite(&AK_NEW_GAME,&ot[ PSDIDX ],0);// Vn߂
}// function last


void AK_Pnl_Sort(void){// Ipl̃\[g

			// I
			AK_SELECT.attribute |= (0x01<<6);/*PxIt*/
			AK_SELECT.attribute |= (0x00<<24);/*16*/
			AK_SELECT.attribute |= (0x01<<27);/*]gks*/
			AK_SELECT.tpage = 21;/*21page*/
			AK_SELECT.cx = 960;
			AK_SELECT.cy = 496;
			AK_SELECT.u = AK_Pnl_Size[0][U];
			AK_SELECT.v = AK_Pnl_Size[0][V];
			AK_SELECT.w = AK_Pnl_Size[0][W];
			AK_SELECT.h = AK_Pnl_Size[0][H];
			AK_SELECT.x = 40;// \ʒu͌OƋʂɁB̓}CiXPU
			AK_SELECT.y = 80;
			// 
			AK_NEXT.attribute |= (0x01<<6);/*PxIt*/
			AK_NEXT.attribute |= (0x00<<24);/*16*/
			AK_NEXT.attribute |= (0x01<<27);/*]gks*/
			AK_NEXT.tpage = 21;/*21page*/
			AK_NEXT.cx = 960;
			AK_NEXT.cy = 497;
			AK_NEXT.u = AK_Pnl_Size[1][U];
			AK_NEXT.v = AK_Pnl_Size[1][V];
			AK_NEXT.w = AK_Pnl_Size[1][W];
			AK_NEXT.h = AK_Pnl_Size[1][H];
			AK_NEXT.x = 96;// \ʒu͌OƋʂɁB
			AK_NEXT.y = 80;
			// 
			AK_OK.attribute |= (0x01<<6);/*PxIt*/
			AK_OK.attribute |= (0x00<<24);/*16*/
			AK_OK.attribute |= (0x01<<27);/*]gks*/
			AK_OK.tpage = 21;/*21page*/
			AK_OK.cx = 960;
			AK_OK.cy = 497;
			AK_OK.u = AK_Pnl_Size[2][U];
			AK_OK.v = AK_Pnl_Size[2][V];
			AK_OK.w = AK_Pnl_Size[2][W];
			AK_OK.h = AK_Pnl_Size[2][H];
			AK_OK.x = 96;// \ʒu͌OƋʂɁB40
			AK_OK.y = 80;

		GsSortFastSprite(&AK_SELECT,&ot[ PSDIDX ],0);// Ipl
//		GsSortFastSprite(&AK_NEXT,&ot[ PSDIDX ],0);// 
		GsSortFastSprite(&AK_OK,&ot[ PSDIDX ],0);// 
}// function last


short AK_Select_Load_Or_New(void){// J[\ZNg OŏIPŉI
			if ( PadDat[0].trg & PADLU ){//  [hI
				SE_ENT(SE_CUR1);
				AK_LOAD_OK.cy = 511;// IJ[
				AK_NEW_GAME.cy = 510;
				return ( 1 );// 1Ԃ
			}
			else if ( PadDat[0].trg & PADLD ){//  Vn߂I
				SE_ENT(SE_CUR1);
				AK_LOAD_OK.cy = 510;
				AK_NEW_GAME.cy = 511;// IJ[
				return ( 2 );// 2Ԃ
			}// else if last
	return ( 0 );// i͂OԂ
}// function last




/* ubNZo*/
int _calc_total_blocks( int files, struct DIRENTRY* dir )
{
	int i;
	int n;

	for( i=0, n=0; i<files; i++ )
		n += dir[i].size/8192 + (dir[i].size%8192 ? 1:0);
	return(n);
}

// f[^A0NAƂ
void AK_MEM_DATA_INIT(int no)
{
	int i = 0;
	int REDDAY = 0;
	LPISTATIC curr=(LPISTATIC)ISTATIC_ADDR;

	REDDAY = no;// 23X^[gQSX^[gI΂


// CxgtOTEh擪܂ŃZ[uꏊ悸ONAĂ
	memset (( unsigned long *)0x801ef800,0,0x200);
// ̌㏉f[^Zbg

	
	curr->hp = 3000;      /* 4: qbg|Cg            */
	curr->dp = 2500;      /* 4: fBtFX|Cg      */
	curr->hpmax = 3000;   /* 4: qbg|Cg            */
	curr->dpmax = 2500;   /* 4: fBtFX|Cg      */
	curr->exp = 100;        /* 2: lol                */
	curr->at = 2000;      /* 2: U                    */
	curr->lv = 1;         /* 1: xiĂȂ͂Oj*/
	curr->crank = 2;      /* 1: R}hN            */
	curr->arank = 2;      /* 1: I[N              */
	curr->pad = 0;        /* 1:                           */
	// ȏJug
	// c0NAĂ
	for (i=1;i<64;i++){
		(curr+i)->hp=0;
		(curr+i)->dp = 0;   
		(curr+i)->hpmax = 0;
		(curr+i)->dpmax = 0;
		(curr+i)->exp = 0;  
		(curr+i)->at = 0;   
		(curr+i)->lv = 0;   
		(curr+i)->crank = 0;
		(curr+i)->arank = 0;
		(curr+i)->pad = 0;  
		
	}// for last
	// }bṽCxgtO
	// 801EF800801f00000NA
	// 0x800AlongȂ̂4oCg4ŊB0x200ۂ̋
	//	memset (( unsigned long *)0x801ef800,0,0x200);// łĂ
	
	
	if ( REDDAY == 24 ){
		memset( (unsigned char *)MONTH_ADDR,7,1 );// 7
		*( ( unsigned char *)DAY_ADDR ) = 24;// 24
		memset( (unsigned char *)WEEK_ADDR,2,1 );// 2ڂɂĂقƂ̗v]
		*( (unsigned long *)0x801ef9f8 ) = 1000;// 1000~
	}
	else if ( REDDAY == 23 ){
		memset( (unsigned char *)MONTH_ADDR,7,1 );// 7
		*( ( unsigned char *)DAY_ADDR ) = 23;// 23
		memset( (unsigned char *)WEEK_ADDR,1,1 );// 1
		*( (unsigned long *)0x801ef9f8 ) = 1000;// 1000~
	}
}


/*-------------------------------
XvCg
-------------------------------*/
void InitSpr(int no){
#if 0
	AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
	AK_Font[0].attribute |= (0x00<<24);/*16*/
	AK_Font[0].attribute |= (0x01<<27);/*]gks*/
	AK_Font[0].tpage = 5;/*5page*/
	AK_Font[0].cx = 960;
	AK_Font[0].cy = 510;
	AK_Font[0].u =
	AK_Font[0].v = 0;
	AK_Font[0].w = 16;
	AK_Font[0].h = 16;
	AK_Font[0].x =  
	AK_Font[0].y = 0;// ʒ_
#endif
	
	switch (no){
		case NOCARD:// Z[ut@C[h܂
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 5;/*5page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load0_Size[0][U];
			AK_Font[0].v = AK_Load0_Size[0][V];
			AK_Font[0].w = AK_Load0_Size[0][W];
			AK_Font[0].h = AK_Load0_Size[0][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		break;
		case NODATA:// グ肪Ƃ܂BEEE
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 5;/*5page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load0_Size[1][U];
			AK_Font[0].v = AK_Load0_Size[1][V];
			AK_Font[0].w = AK_Load0_Size[1][W];
			AK_Font[0].h = AK_Load0_Size[1][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
			// ͂Kv
		break;

		case CARDCHECK:// hĂ邩`FbN
		break;
		case DATACHECK:// f[^邩`FbN
		break;
		case DATABREAKCHECK:// f[^Ă邩`FbN
		break;

		case BREAK_DATA:// f[^ꂿĂ
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 6;/*6page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load1_Size[0][U];
			AK_Font[0].v = AK_Load1_Size[0][V];
			AK_Font[0].w = AK_Load1_Size[0][W];
			AK_Font[0].h = AK_Load1_Size[0][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		break;

		case DATALOAD:// f[^[h
		break;
		case LOADCHECK:// [hȁH
		break;

		case LOADMISS:// [hs
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 9;/*9page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load1_Size[0][U];
			AK_Font[0].v = AK_Load1_Size[0][V];
			AK_Font[0].w = AK_Load1_Size[0][W];
			AK_Font[0].h = AK_Load1_Size[0][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		break;
		case GOTITLE:// [h^Cg
		break;
	// ȌVK쐬菇
		case NEWGAME:// NODATA番B߂ăQ[܂
		break;
		case CREATEFILE:// t@C
		break;
		case CHECK_CARD:// 쐬JnẴJhĂ邩`FbN
		break;
		case CARD_NO:// hĂ܂
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 6;/*6page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load1_Size[2][U];
			AK_Font[0].v = AK_Load1_Size[2][V];
			AK_Font[0].w = AK_Load1_Size[2][W];
			AK_Font[0].h = AK_Load1_Size[2][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
			// XbgPɃJ[hZbgĂ
			AK_Font[1].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[1].attribute |= (0x00<<24);/*16*/
			AK_Font[1].attribute |= (0x01<<27);/*]gks*/
			AK_Font[1].tpage = 6;/*6page*/
			AK_Font[1].cx = 960;
			AK_Font[1].cy = 510;
			AK_Font[1].u = AK_Load1_Size[3][U];
			AK_Font[1].v = AK_Load1_Size[3][V];
			AK_Font[1].w = AK_Load1_Size[3][W];
			AK_Font[1].h = AK_Load1_Size[3][H];
			AK_Font[1].x = MESSPOSX;
			AK_Font[1].y = MESSPOSY+16;
		break;
		case FORMATCHECK:// tH[}bg`Ă邩`FbN
		break;
		case UNFORMAT:// tH[}bgĂȂItH[}bgHHH
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 6;/*5page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load1_Size[4][U];
			AK_Font[0].v = AK_Load1_Size[4][V];
			AK_Font[0].w = AK_Load1_Size[4][W];
			AK_Font[0].h = AK_Load1_Size[4][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
			// ͂ Kv
			
		break;
		case CHECK_FORMAT:// tH[}bg͐ȁH

		// \̓`FbŇʑʖڂꍇɂ܂B

			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 6;/*6page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load1_Size[5][U];
			AK_Font[0].v = AK_Load1_Size[5][V];
			AK_Font[0].w = AK_Load1_Size[5][W];
			AK_Font[0].h = AK_Load1_Size[5][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		
		break;
		case SPACECHECK:// 󂫗eʃ`FbN
		// \̓`FbNĂ߂ꍇɂ܂
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 7;/*7page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load2_Size[0][U];
			AK_Font[0].v = AK_Load2_Size[0][V];
			AK_Font[0].w = AK_Load2_Size[0][W];
			AK_Font[0].h = AK_Load2_Size[0][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		
		break;
		case CHECK_DATA:// ̃f[^邩ȁH
		break;
		case OVERWRITE:// f[^͏㏑mF
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 7;/*7page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load2_Size[1][U];
			AK_Font[0].v = AK_Load2_Size[1][V];
			AK_Font[0].w = AK_Load2_Size[1][W];
			AK_Font[0].h = AK_Load2_Size[1][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		// ͂Kv

		break;
		case FILE_CREATE:// 쐬bZ[WƎۂ̍쐬
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 7;/*7page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load2_Size[2][U];
			AK_Font[0].v = AK_Load2_Size[2][V];
			AK_Font[0].w = AK_Load2_Size[2][W];
			AK_Font[0].h = AK_Load2_Size[2][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		break;
		case CREATEERROR:// VKt@C쐬s

		// \̓`FbNĎsɏo܂

			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 7;/*7page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load2_Size[3][U];
			AK_Font[0].v = AK_Load2_Size[3][V];
			AK_Font[0].w = AK_Load2_Size[3][W];
			AK_Font[0].h = AK_Load2_Size[3][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		break;
/********************************************************************************
*			 ܂ŃI[g[hpAȍ~̓Z[uʗp							*
*																				*
********************************************************************************/
		case SAVEFILE:// Z[u邩ALZ̓^Cg
		// Z[u܂낵łH
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 10;/*10page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load8_Size[0][U];
			AK_Font[0].v = AK_Load8_Size[0][V];
			AK_Font[0].w = AK_Load8_Size[0][W];
			AK_Font[0].h = AK_Load8_Size[0][H];
			AK_Font[0].x = MESSPOSX;
			AK_Font[0].y = MESSPOSY;
		break;
		case MCCHECK:// hĂ邩`FbNAtH[}bg`FbNł
		break;
		case FORMATOK:// tH[}bg܂HȂ痬
		break;
		case FORMATMISS:// tH[}bg~X
		break;
		case SAVE_FILE_CHECK:// Z[uf[^邩̃`FbNBopenĂ݂
		break;
		case OVER_WRITE_CHECK:// ㏑mF
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 10;/*10page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load8_Size[1][U];
			AK_Font[0].v = AK_Load8_Size[1][V];
			AK_Font[0].w = AK_Load8_Size[1][W];
			AK_Font[0].h = AK_Load8_Size[1][H];
			AK_Font[0].x = MESSPOSX;// \ʒu͌OƋʂɁB
			AK_Font[0].y = MESSPOSY;
		break;
		case CARD_SPACE_CHECK:// 󂫗eʊmF
		break;
		case NO_SPACE:// 󂫗eʖ
		
		break;
		case CREATE_FILE:// ۂɃZ[u
		// ܃Z[uł
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 10;/*10page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load8_Size[2][U];
			AK_Font[0].v = AK_Load8_Size[2][V];
			AK_Font[0].w = AK_Load8_Size[2][W];
			AK_Font[0].h = AK_Load8_Size[2][H];
			AK_Font[0].x = MESSPOSX;
			AK_Font[0].y = MESSPOSY;
		break;
		case SAVEMISS:// Z[u~X
		// Z[uɎs܂
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 10;/*10page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load8_Size[3][U];
			AK_Font[0].v = AK_Load8_Size[3][V];
			AK_Font[0].w = AK_Load8_Size[3][W];
			AK_Font[0].h = AK_Load8_Size[3][H];
			AK_Font[0].x = MESSPOSX;
			AK_Font[0].y = MESSPOSY;
		break;
		case GO_SEISAN:// Zʂ
		// Z[u܂
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 10;/*10page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load8_Size[4][U];
			AK_Font[0].v = AK_Load8_Size[4][V];
			AK_Font[0].w = AK_Load8_Size[4][W];
			AK_Font[0].h = AK_Load8_Size[4][H];
			AK_Font[0].x = MESSPOSX;
			AK_Font[0].y = MESSPOSY;
		break;
/***********************************************************************************
*					牺͑ΐ탂[h[hp
*
*
***********************************************************************************/
		case AI_START_PRN:// o灛Ă
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 8;/*8page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load6_Size[0][U];
			AK_Font[0].v = AK_Load6_Size[0][V];
			AK_Font[0].w = AK_Load6_Size[0][W];
			AK_Font[0].h = AK_Load6_Size[0][H];
			AK_Font[0].x = MESSPOSX;
			AK_Font[0].y = MESSPOSY;
		break;
		case AI_CARD_NO:// J[hhĂȂ
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 8;/*8page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load6_Size[1][U];
			AK_Font[0].v = AK_Load6_Size[1][V];
			AK_Font[0].w = AK_Load6_Size[1][W];
			AK_Font[0].h = AK_Load6_Size[1][H];
			AK_Font[0].x = MESSPOSX;
			AK_Font[0].y = MESSPOSY;
		break;
		case AI_NO_DATA:// f[^
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 8;/*8page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load6_Size[2][U];
			AK_Font[0].v = AK_Load6_Size[2][V];
			AK_Font[0].w = AK_Load6_Size[2][W];
			AK_Font[0].h = AK_Load6_Size[2][H];
			AK_Font[0].x = MESSPOSX;
			AK_Font[0].y = MESSPOSY;
		break;
		case AI_LOAD_MISS:// [hɎs܂
			AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
			AK_Font[0].attribute |= (0x00<<24);/*16*/
			AK_Font[0].attribute |= (0x01<<27);/*]gks*/
			AK_Font[0].tpage = 9;/*9page*/
			AK_Font[0].cx = 960;
			AK_Font[0].cy = 510;
			AK_Font[0].u = AK_Load7_Size[0][U];
			AK_Font[0].v = AK_Load7_Size[0][V];
			AK_Font[0].w = AK_Load7_Size[0][W];
			AK_Font[0].h = AK_Load7_Size[0][H];
			AK_Font[0].x = MESSPOSX;
			AK_Font[0].y = MESSPOSY;
		break;

		default:
		break;
}// switch last


}





void Init_Yes_No(void){// ͂̂傫
			AK_YES.attribute |= (0x01<<6);/*PxIt*/
			AK_YES.attribute |= (0x00<<24);/*16*/
			AK_YES.attribute |= (0x01<<27);/*]gks*/
			AK_YES.tpage = 6;/*6page*/
			AK_YES.cx = 960;
			AK_YES.cy = 511;// IJ[
			AK_YES.u = AK_Load1_Size[6][U];
			AK_YES.v = AK_Load1_Size[6][V];
			AK_YES.w = AK_Load1_Size[6][W];
			AK_YES.h = AK_Load1_Size[6][H];
			AK_YES.x = -112;// \ʒu͌OƋʂɁB
			AK_YES.y = 24;
			
			AK_NO.attribute |= (0x01<<6);/*PxIt*/
			AK_NO.attribute |= (0x00<<24);/*16*/
			AK_NO.attribute |= (0x01<<27);/*]gks*/
			AK_NO.tpage = 6;/*6page*/
			AK_NO.cx = 960;
			AK_NO.cy = 510;
			AK_NO.u = AK_Load1_Size[7][U];
			AK_NO.v = AK_Load1_Size[7][V];
			AK_NO.w = AK_Load1_Size[7][W];
			AK_NO.h = AK_Load1_Size[7][H];
			AK_NO.x = -112;// \ʒu͌OƋʂɁB
			AK_NO.y = 48;
}// function last



void Init_New_Or_Replay(void){// [h邩Vn߂邩`FbN
			AK_LOAD_OK.attribute |= (0x01<<6);/*PxIt*/
			AK_LOAD_OK.attribute |= (0x00<<24);/*16*/
			AK_LOAD_OK.attribute |= (0x01<<27);/*]gks*/
			AK_LOAD_OK.tpage = 5;/*5page*/
			AK_LOAD_OK.cx = 960;
			AK_LOAD_OK.cy = 511;// IJ[
			AK_LOAD_OK.u = AK_Load0_Size[2][U];
			AK_LOAD_OK.v = AK_Load0_Size[2][V];
			AK_LOAD_OK.w = AK_Load0_Size[2][W];
			AK_LOAD_OK.h = AK_Load0_Size[2][H];
			AK_LOAD_OK.x = -112;// \ʒu͌OƋʂɁB
			AK_LOAD_OK.y = 24;
			
			AK_NEW_GAME.attribute |= (0x01<<6);/*PxIt*/
			AK_NEW_GAME.attribute |= (0x00<<24);/*16*/
			AK_NEW_GAME.attribute |= (0x01<<27);/*]gks*/
			AK_NEW_GAME.tpage = 5;/*5page*/
			AK_NEW_GAME.cx = 960;
			AK_NEW_GAME.cy = 510;
			AK_NEW_GAME.u = AK_Load0_Size[3][U];
			AK_NEW_GAME.v = AK_Load0_Size[3][V];
			AK_NEW_GAME.w = AK_Load0_Size[3][W];
			AK_NEW_GAME.h = AK_Load0_Size[3][H];
			AK_NEW_GAME.x = -112;// \ʒu͌OƋʂɁB
			AK_NEW_GAME.y = 48;
}// function last

void AK_Save_Mode_Init_Tim(){// Z[u܂낵łH
	AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
	AK_Font[0].attribute |= (0x00<<24);/*16*/
	AK_Font[0].attribute |= (0x01<<27);/*]gks*/
	AK_Font[0].tpage = 10;/*10page*/
	AK_Font[0].cx = 960;
	AK_Font[0].cy = 510;
	AK_Font[0].u = AK_Load8_Size[0][U];
	AK_Font[0].v = AK_Load8_Size[0][V];
	AK_Font[0].w = AK_Load8_Size[0][W];
	AK_Font[0].h = AK_Load8_Size[0][H];
	AK_Font[0].x = MESSPOSX;
	AK_Font[0].y = MESSPOSY;
}// Init_Tim last
void AK_Save_Mode_Init_2(){// J[hȂł
	AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
	AK_Font[0].attribute |= (0x00<<24);/*16*/
	AK_Font[0].attribute |= (0x01<<27);/*]gks*/
	AK_Font[0].tpage = 10;/*10page*/
	AK_Font[0].cx = 960;
	AK_Font[0].cy = 510;
	AK_Font[0].u = AK_Load8_Size[2][U];
	AK_Font[0].v = AK_Load8_Size[2][V];
	AK_Font[0].w = AK_Load8_Size[2][W];
	AK_Font[0].h = AK_Load8_Size[2][H];
	AK_Font[0].x = MESSPOSX;
	AK_Font[0].y = MESSPOSY;
}// Init_Tim last
void AK_Save_Mode_Init_3(){// Z[u
	AK_Font[0].attribute |= (0x01<<6);/*PxIt*/
	AK_Font[0].attribute |= (0x00<<24);/*16*/
	AK_Font[0].attribute |= (0x01<<27);/*]gks*/
	AK_Font[0].tpage = 10;/*10page*/
	AK_Font[0].cx = 960;
	AK_Font[0].cy = 510;
	AK_Font[0].u = AK_Load8_Size[4][U];
	AK_Font[0].v = AK_Load8_Size[4][V];
	AK_Font[0].w = AK_Load8_Size[4][W];
	AK_Font[0].h = AK_Load8_Size[4][H];
	AK_Font[0].x = MESSPOSX;
	AK_Font[0].y = MESSPOSY;
}// Init_Tim last

